Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.crypto.dsig
Interface CanonicalizationMethod

All Superinterfaces:
  AlgorithmMethod, Transform, XMLStructure

    public interface CanonicalizationMethod

extends Transform

A representation of the XML `CanonicalizationMethod` element as defined in the W3C Recommendation for XML-Signature Syntax and Processing. The XML Schema Definition is defined as:

       <element name="CanonicalizationMethod" type="ds:CanonicalizationMethodType"/>
         <complexType name="CanonicalizationMethodType" mixed="true">
           <sequence>
             <any namespace="##any" minOccurs="0" maxOccurs="unbounded"/>
               <!-- (0,unbounded) elements from (1,1) namespace -->
           </sequence>
           <attribute name="Algorithm" type="anyURI" use="required"/>
         </complexType>

A `CanonicalizationMethod` instance may be created by invoking the `newCanonicalizationMethod` method of the `XMLSignatureFactory` class.

See Also:
  `XMLSignatureFactory.newCanonicalizationMethod(String, C14NMethodParameterSpec)`

Field Summary
`static java.lang.String` | `EXCLUSIVE` The Exclusive Canonical XML (without comments) canonicalization method algorithm URI.
`static java.lang.String` | `EXCLUSIVE_WITH_COMMENTS` The Exclusive Canonical XML with comments canonicalization method algorithm URI.
`static java.lang.String` | `INCLUSIVE` The Canonical XML (without comments) canonicalization method algorithm URI.
`static java.lang.String` | `INCLUSIVE_WITH_COMMENTS` The Canonical XML with comments canonicalization method algorithm URI.

Fields inherited from interface javax.xml.crypto.dsig.Transform
`BASE64, ENVELOPED, XPATH, XPATH2, XSLT`

Method Summary
`java.security.spec.AlgorithmParameterSpec` | `getParameterSpec()` Returns the algorithm-specific input parameters associated with this `CanonicalizationMethod`.

Methods inherited from interface javax.xml.crypto.dsig.Transform
`transform, transform`

Methods inherited from interface javax.xml.crypto.XMLStructure
`isFeatureSupported`

Methods inherited from interface javax.xml.crypto.AlgorithmMethod
`getAlgorithm`

Field Detail

### INCLUSIVE

    static final java.lang.String INCLUSIVE

  The Canonical XML (without comments) canonicalization method algorithm URI.

  See Also:
    Constant Field Values

### INCLUSIVE_WITH_COMMENTS

    static final java.lang.String INCLUSIVE_WITH_COMMENTS

  The Canonical XML with comments canonicalization method algorithm URI.

  See Also:
    Constant Field Values

### EXCLUSIVE

    static final java.lang.String EXCLUSIVE

  The Exclusive Canonical XML (without comments) canonicalization method algorithm URI.

  See Also:
    Constant Field Values

### EXCLUSIVE_WITH_COMMENTS

    static final java.lang.String EXCLUSIVE_WITH_COMMENTS

  The Exclusive Canonical XML with comments canonicalization method algorithm URI.

  See Also:
    Constant Field Values

Method Detail

### getParameterSpec

    java.security.spec.AlgorithmParameterSpec getParameterSpec()

  Returns the algorithm-specific input parameters associated with this `CanonicalizationMethod`.

  The returned parameters can be typecast to a `C14NMethodParameterSpec` object.

  Specified by:
    `getParameterSpec` in interface `AlgorithmMethod`
  Specified by:
    `getParameterSpec` in interface `Transform`
  Returns:
    the algorithm-specific input parameters (may be `null` if not specified)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004, IBM Corporation and Sun Microsystems, Inc. All rights reserved.
Please send comments to: jsr-106-comments@jcp.org